#game-market-labels-view {
  width: 100%;
  max-width: 44rem;
  max-height: min(100lvh - 0.8rem);

  &[shown] {
    transition: none;
  }

  @media (width >= 680px) and (height >= 500px) {
    &:not([hidden]) {
      border-radius: var(--sheet-border-radius);
      translate: 0% calc((100vh - 100%) / -2);
    }
  }


  > header {
    button[action="pay"] {
      &:not(:disabled) {
        color: var(--color-blue);
      }
    }
  }


  > main {
    display: grid;
    grid-template-areas: "stack";


    .previews {
      grid-area: stack;

      --canvas-width: 32rem;
      --canvas-height: 24rem;
      --preview-peek: 0.8rem;
      --preview-inset: calc((100% - var(--canvas-width)) / 2);
      --preview-gap: max(1.6rem, calc(var(--preview-inset) - var(--preview-peek)));
      --padding: 2.4rem;

      padding-block: var(--padding);
      padding-inline: var(--preview-inset);
      height: calc(var(--canvas-height) + var(--padding) * 2 + 2px);
      display: grid;
      grid-auto-flow: column;
      grid-auto-columns: calc(var(--canvas-width) + 2px);
      gap: var(--preview-gap);
      overflow-x: auto;
      overflow-y: hidden;
      overscroll-behavior-x: contain;
      scroll-snap-type: x mandatory;
      scroll-padding-inline: var(--preview-inset);
      scrollbar-width: none;
      -webkit-overflow-scrolling: touch;

      &::-webkit-scrollbar {
        display: none;
      }


      .preview {
        position: relative;
        border: 1px solid black;
        display: grid;
        scroll-snap-align: center;
        scroll-snap-stop: always;
        isolation: isolate;

        &[hidden] {
          opacity: 0.5;
        }

        &::before {
          --border-color: rgba(0, 0, 0, 0.2);

          content: "";
          position: absolute;
          inset: 0;
          z-index: 1;
          border-top: var(--inset-top) solid var(--border-color);
          border-left: var(--inset-left) solid var(--border-color);
          border-right: var(--inset-right) solid var(--border-color);
          border-bottom: var(--inset-bottom) solid var(--border-color);
        }


        canvas {
          width: var(--canvas-width);
          height: var(--canvas-height);
        }
      }
    }


    .controls {
      grid-area: stack;
      z-index: 1;
      display: none;
      place-content: center;
      background: rgba(0, 0, 0, 0.2);

      &:has(button:not([hidden])) {
        display: grid;
      }


      button {
        aspect-ratio: 1 / 1;
        box-shadow: 0 0 1.2rem gray;
        width: 4.8rem;
        max-width: none;
        height: auto;
        max-height: none;
        background-color: color-mix(in srgb, currentColor 33%, white 100%);

        &[action="continue-printing"] {
          color: rgb(29 195 55);
        }

        &[action="close-printing"] {
          color: var(--color-blue);
        }

        &[action="pause-printing"],
        &.error {
          color: var(--color-red);
        }
      }
    }


    .editor {
      position: relative;
      padding-inline: 1.6rem;
      padding-bottom: 2.4rem;
      display: flex;
      align-items: center;
      gap: 0.8rem;

      &[hidden] {
        display: none;
      }

      &[inert] {
        &::after {
          content: "";
          position: absolute;
          inset: 0;
          background: rgba(0, 0, 0, 0.2);
          z-index: 1;
        }
      }


      textarea,
      input {
        border: 1px solid var(--toolbar-border-color);
        border-radius: 1.8rem;

        &:is(textarea) {
          flex: 1 1;
          box-sizing: content-box;
          padding-block: 0.4rem;
          padding-inline: 0.8rem;
          height: 2lh;
          resize: none;
        }

        &:is(input) {
          box-sizing: content-box;
          padding-inline: 0.8rem;
          width: 3ch;
          height: 3.4rem;
        }
      }


      .font-size {
        display: flex;
        align-items: center;


        .icon {
          border: 1px solid var(--toolbar-border-color);
          border-right: none;
          border-top-left-radius: 100vmax;
          border-bottom-left-radius: 100vmax;
          padding-inline: 0.8rem;
          height: 3.6rem;
          background: var(--toolbar-background-color);
          display: grid;
          place-content: center;


          svg {
            aspect-ratio: 1 / 1;
            width: 2.4rem;
            height: auto;
          }
        }


        input {
          border-top-left-radius: 0;
          border-bottom-left-radius: 0;
        }
      }
    }
  }


  > footer {
    padding-top: 0.4rem;
    padding-inline: 1.6rem;
    padding-bottom: calc(0.4rem + env(safe-area-inset-bottom) / 2);
    display: grid;
    grid-template-areas: "stack";


    > * {
      grid-area: stack;
      font-variant-numeric: tabular-nums;
      display: flex;
      align-items: center;
      line-height: 1;
    }


    .shift {
      justify-self: start;


      select {
        appearance: none;
        outline: none;
        padding: 0;
        width: 2.4rem;
        height: 2.4rem;
        line-height: 2.4rem;
        text-align: center;
        text-align-last: center;
        background: none;
      }
    }


    .progress {
      justify-self: center;
      font-size: 1.4rem;

      &:empty {
        &::before {
          content: "0";
          visibility: hidden;
        }
      }
    }


    .printers {
      justify-self: end;
      gap: 0.2rem;


      svg {
        aspect-ratio: 1 / 1;
        margin-bottom: -1px;
        width: 1.8rem;
        height: auto;
      }
    }
  }
}
